# zero out some useless deps.
# (tv) we'd better had a link in minicom & package Encode::HanConvert:
%global __requires_exclude runscript

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\((\\.|\\.\\.)::|^perl\\((ctime.pl|saa-lib.pl|system-status-lib.pl)\\)||^perl\\(gray-theme::gray-theme-lib.pl\\)
%global __provides_exclude %__provides_exclude|^perl\\(.*\\)

# don't spend time with this either
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

Summary:	An SSL web-based administration interface for Unix systems
Name:		webmin
Version:	1.979
%define subrel	1
Release:	%mkrel 1
License:	BSD
Group:		System/Configuration
URL:		http://www.webmin.com/webmin/
Source0:	http://download.sourceforge.net/project/webadmin/%{name}/%{version}/%{name}-%{version}.tar.gz
Source2:	other.modules.tar.bz2
# some images were missing
Source33:	advanced.png
Source34:	descs.png
Source4:	webmin-postinstallscript.sh
Source5:	webmin
Source6:	webmin.initscript
# There is no easy way to get the direct link to this file. Download it manually
# and move it to the SOURCES directory.
# Remember to update the version here
# https://www.openit.it/index.php/en/downloads?task=viewcategory&catid=7
Source9:	openvpn-3.2.wbm.gz
Source10:	webmin.pam
Source11:	webmin-16.png
Source12:	webmin-32.png
Source13:	webmin-48.png
# uses include instead of pam_stack
Source14:	webmin.pam-new
Source15:	webmin.logrotate
# (gc) have the updates; this needs to change for each version and/or release, see
#      http://www.webmin.com/webmin/updates.html
Patch1:		webmin-1.950-remove-atboot-problem.diff
Patch5:		webmin-fix-newmods.patch
Patch7:		webmin-0.85-never-fail-detect-os.patch
Patch8:		webmin-0.85-enable-changed-theme-at-installation.patch

Patch19:	webmin-0.92-add-default-configs-logviewer-fp2k.patch
Patch21:	webmin-0.950-add-netsaint-mandrake-config.patch
Patch23:	webmin-1.020-ssl-location.patch
Patch29:	webmin-1.100-let-localauth-config.patch
Patch37:	webmin-temp-permission-fix.diff
Patch38:	webmin-ssldir-cosmetic.diff
Patch39:	webmin-fix-bandwith.diff
Patch44:	webmin-openvpn-config.patch
Patch45:	webmin-1.670-disable-update-notifications.patch

BuildRequires:	python3

Requires(post): systemd >= %{systemd_required_version}
Requires(pre):  rpm-helper
Requires:	perl
Requires:	perl-CGI
Requires:	perl(Authen::Libwrap)
Requires:	perl(IO::Tty)
Requires:	perl(JSON::PP)
Requires:	perl(Encode::Detect)
Requires:	perl(Encode::HanConvert)
Requires:	lsof
Requires(pre): sed chkconfig findutils coreutils initscripts grep perl-Net_SSLeay perl-Authen-PAM
Provides:	%{name}-%{version}
BuildArch:	noarch

%description
A web-based administration interface for Unix systems. Using Webmin you can
configure DNS, Samba, NFS, local/remote filesystems, Apache, Sendmail/Postfix,
and more using your web browser.

After installation, enter the URL https://localhost:10000/ into your browser
and login as root with your root password. Please consider logging in and
modify your password for security issue.

PLEASE NOTE THAT THIS VERSION NOW USES SECURE WEB TRANSACTIONS: YOU HAVE TO
LOGIN TO "https://localhost:10000/" AND NOT "http://localhost:10000/".

%prep

%setup -q -a 2
%setup -q -D -T -c -a 9 -n %{name}-%{version}

%patch1 -p0
%patch5 -p0
%patch7 -p1
%patch8 -p1

%patch19 -p0
%patch21 -p0
%patch23 -p1
%patch29 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch44 -p1
%patch45 -p1

rm -rf inetd jabber netsaint pptp-server webalizer wuftpd
rm -rf JSON
rm -rf acl/Authen-SolarisRBAC-0.1

find bind8 -type f -maxdepth 1 | xargs perl -pi -e 's|/var/run/(named/)*named\.pid|/run/named/named.pid|'

# daouda: added mageia-linux to known OS
cp config-mandrake-linux config-mageia

perl -pi -e 's|mandrake-linux|mageia mandrake-linux| if $_ =~ /^os_support.*mandrake-linux/ && $_ !~ /mageia/' */module.info

cat <<EOF >> software/config-mandrake-linux
update_system=urpmi
EOF

perl -pi -e 's|base_([ug])id=500|base_\1id=1000|' useradmin/config-mandrake-linux

(find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -

rm -f mount/freebsd-mounts-*
rm -f mount/macos-mounts-*
rm -f mount/openbsd-mounts-*

find -name ".xvpics" -o -name ".*.swp" | xargs rm -rf

find . -name \*.py -exec 2to3 -w {} \;

pathfix.py -pni "%{__python3} %{py3_shbang_opts}" webmin/acme_tiny.py ajaxterm/ajaxterm/ajaxterm.py ajaxterm/ajaxterm/configure

%build

# nothing to do here...

%install
# IMPORTANT: there is no %{_datadir} and so on, since the directories are decided by the post install script.
mkdir -p %{buildroot}/usr/share/webmin
mkdir -p %{buildroot}/%{_initrddir}
mkdir -p %{buildroot}/usr/bin

find -type f -print0 | xargs -0 chmod a+r
find -type d -print0 | xargs -0 chmod a+rx

cp -a * %{buildroot}/usr/share/webmin
install -m755 %{SOURCE6} %{buildroot}/%{_initrddir}/webmin
install -m755 %{SOURCE4} %{buildroot}/usr/share/webmin/postinstall.sh
install -m755 %{SOURCE5} %{buildroot}/usr/bin

mkdir -p %{buildroot}/%{_sysconfdir}/pam.d

install -m755 %{SOURCE14} %{buildroot}/%{_sysconfdir}/pam.d/webmin

rm -rf %{buildroot}/usr/share/webmin/*/{CVS,*/CVS}
rm -f `find %{buildroot} -type f -name .cvsignore`

# (gc) remove zero-length files (to check sometimes if they are still zero-length'ed)
for i in /usr/share/webmin/caldera/images/letters/254.gif /usr/share/webmin/i4lctrl-0.6.7/lang/de /usr/share/webmin/caldera/images/letters/255.gif; do
    if [ -f $i ]; then rm -f %{buildroot}$i; fi
done

echo "rpm" > %{buildroot}/usr/share/webmin/install-type

echo 'blue-theme' > %{buildroot}%{_datadir}/webmin/defaulttheme


# Install icons
install -d -m 0755 %{buildroot}%{_liconsdir}
install -d -m 0755 %{buildroot}%{_miconsdir}
install -m 0644 %{SOURCE11} %{buildroot}%{_miconsdir}/webmin.png
install -m 0644 %{SOURCE12} %{buildroot}%{_iconsdir}/webmin.png
install -m 0644 %{SOURCE11} %{buildroot}%{_liconsdir}/webmin.png

# Menu entry

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=An SSL web-based administration interface for Unix systems
Exec=%{_bindir}/www-browser https://localhost:10000/
Icon=%{name}
Terminal=false
Type=Application
Categories=X-Mageia-System-Configuration-Other;Settings;
EOF

#logrotate
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 0644 %{SOURCE15} %{buildroot}%{_sysconfdir}/logrotate.d/webmin

# create /var/run/webmin
mkdir -p %{buildroot}%{_tmpfilesdir}
cat > %{buildroot}%{_tmpfilesdir}/%{name}.conf <<EOF
d /run/webmin 0700 root bin -
EOF

%pretrans
if [ -d %{_datadir}/webmin/blue-theme ]; then
  rm -rf %{_datadir}/webmin/blue-theme
fi

%post
if [ "$1" != 0 ]; then
    service webmin status >/dev/null 2>/dev/null && need_restart=1
    service webmin stop >/dev/null 2>/dev/null || :
else
    [[ -e /etc/cron.allow ]] && if [ "x`grep root /etc/cron.allow`" == "x" ] ; then
	echo root >> /etc/cron.allow
    fi
fi
/usr/share/webmin/postinstall.sh
%_tmpfilescreate %{name}
%_post_service %{name}
[[ -n $need_restart ]] && service webmin start >/dev/null 2>/dev/null || :

%preun
%_preun_service webmin

%postun
if [ "$1" = 0 ]; then
    rm -rf /etc/webmin /var/webmin /var/lib/webmin /var/log/webmin
fi

%files
%license LICENCE
%doc README.md
%{_initrddir}/webmin
%config(noreplace) %{_sysconfdir}/pam.d/webmin
%config(noreplace) %{_sysconfdir}/logrotate.d/webmin
%{_datadir}/webmin
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*.desktop
%{_tmpfilesdir}/%{name}.conf


%changelog
* Thu Jun 24 2021 luigiwalser <luigiwalser> 1.979-1.1.mga8
+ Revision: 1732069
- fix upgrade since blue-theme is now symlink to gray-theme
- 1.979 (sync with cauldron)

* Fri Jan 08 2021 luigiwalser <luigiwalser> 1.970-1.mga8
+ Revision: 1669724
- 1.970

* Wed Nov 11 2020 luigiwalser <luigiwalser> 1.962-1.mga8
+ Revision: 1644742
- 1.962

* Mon Oct 19 2020 kekepower <kekepower> 1.960-1.mga8
+ Revision: 1636873
- Update to version 1.960

* Thu Aug 20 2020 luigiwalser <luigiwalser> 1.955-1.mga8
+ Revision: 1616727
- 1.955

* Sat Aug 01 2020 kekepower <kekepower> 1.954-1.mga8
+ Revision: 1610076
- Update to version 1.954

* Sun Jul 12 2020 luigiwalser <luigiwalser> 1.953-5.mga8
+ Revision: 1605674
- try setting base_[ug]id to 1000

* Fri Jul 10 2020 luigiwalser <luigiwalser> 1.953-4.mga8
+ Revision: 1604305
- revert incorrect changes

* Tue Jul 07 2020 joequant <joequant> 1.953-3.mga8
+ Revision: 1602837
- default to urpmi

* Tue Jul 07 2020 joequant <joequant> 1.953-2.mga8
+ Revision: 1602833
- major fix up of mageia config files

* Tue Jul 07 2020 kekepower <kekepower> 1.953-1.mga8
+ Revision: 1602783
- Update to version 1.953

* Sun Jul 05 2020 kekepower <kekepower> 1.952-1.mga8
+ Revision: 1602356
- Update to version 1.952

* Thu Jul 02 2020 luigiwalser <luigiwalser> 1.950-1.mga8
+ Revision: 1601482
- 1.950
- re-do patch 1

* Wed Feb 19 2020 umeabot <umeabot> 1.941-2.mga8
+ Revision: 1543152
- Mageia 8 Mass Rebuild

* Wed Jan 15 2020 kekepower <kekepower> 1.941-1.mga8
+ Revision: 1478056
- Fix Python shebangs
- Update to version 1.941

* Thu Dec 26 2019 kekepower <kekepower> 1.940-1.mga8
+ Revision: 1470121
- Explicitly set python3 in scripts
- Fix python files with 2to3 conversion
- Update to version 1.940

* Sun Aug 18 2019 kekepower <kekepower> 1.930-1.mga8
+ Revision: 1429738
- Update to version 1.930

* Fri Jul 05 2019 kekepower <kekepower> 1.920-1.mga8
+ Revision: 1418651
- Update to version 1.920

* Mon May 06 2019 kekepower <kekepower> 1.910-1.mga7
+ Revision: 1396481
- Update to version 1.910

* Fri Nov 16 2018 kekepower <kekepower> 1.900-1.mga7
+ Revision: 1330275
- Update to version 1.900

* Fri Sep 21 2018 umeabot <umeabot> 1.890-2.mga7
+ Revision: 1292003
- Mageia 7 Mass Rebuild

* Mon Jul 16 2018 luigiwalser <luigiwalser> 1.890-1.mga7
+ Revision: 1243816
- 1.890

* Sun Mar 18 2018 kekepower <kekepower> 1.881-1.mga7
+ Revision: 1210248
- Update to version 1.881

* Wed Mar 07 2018 kekepower <kekepower> 1.880-2.mga7
+ Revision: 1207045
- Added Requires for perl(Encode::HanConvert)

* Tue Mar 06 2018 kekepower <kekepower> 1.880-1.mga7
+ Revision: 1206989
- Update to version 1.880

* Thu Dec 07 2017 luigiwalser <luigiwalser> 1.870-1.mga7
+ Revision: 1181609
- 1.870

* Sat Oct 14 2017 luigiwalser <luigiwalser> 1.860-1.mga7
+ Revision: 1171866
- 1.860
- disable update notifications in one more place

* Sun May 07 2017 luigiwalser <luigiwalser> 1.840-1.mga6
+ Revision: 1099530
- 1.840
- remove bundled perl-JSON-PP and require system one
- require perl-Encode-Detect (used by filemin)

* Sun Jan 08 2017 luigiwalser <luigiwalser> 1.831-1.mga6
+ Revision: 1080597
- 1.831

* Thu Dec 29 2016 luigiwalser <luigiwalser> 1.830-1.mga6
+ Revision: 1078603
- 1.830

* Mon Oct 03 2016 luigiwalser <luigiwalser> 1.820-1.mga6
+ Revision: 1058220
- 1.820

* Mon Aug 08 2016 luigiwalser <luigiwalser> 1.810-1.mga6
+ Revision: 1044985
- 1.810

* Fri May 27 2016 luigiwalser <luigiwalser> 1.801-1.mga6
+ Revision: 1018936
- 1.801

* Thu May 26 2016 luigiwalser <luigiwalser> 1.800-1.mga6
+ Revision: 1018697
- 1.800

* Tue Mar 08 2016 luigiwalser <luigiwalser> 1.791-1.mga6
+ Revision: 987239
- 1.791

* Mon Mar 07 2016 luigiwalser <luigiwalser> 1.790-1.mga6
+ Revision: 987187
- 1.790

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.780-1.mga6
+ Revision: 917029
- 1.780
- remove patches 32 and 35 since we no longer have usermin packaged

* Sun Oct 11 2015 guillomovitch <guillomovitch> 1.770-2.mga6
+ Revision: 889595
- don't provides any Perl module, they are not available system-wide

* Tue Oct 06 2015 luigiwalser <luigiwalser> 1.770-1.mga6
+ Revision: 886612
- 1.770

* Mon Jun 22 2015 luigiwalser <luigiwalser> 1.760-1.mga6
+ Revision: 838627
- 1.760
- 1.750
- 1.740

* Tue Jan 06 2015 luigiwalser <luigiwalser> 1.730-2.mga5
+ Revision: 808797
- filter invalid autorequires (mga#14966)

* Fri Jan 02 2015 luigiwalser <luigiwalser> 1.730-1.mga5
+ Revision: 808190
- 1.730
- theme files no longer need to be modified to disable update notifications

* Mon Nov 24 2014 luigiwalser <luigiwalser> 1.720-1.mga5
+ Revision: 798858
- 1.720

* Wed Oct 15 2014 umeabot <umeabot> 1.710-2.mga5
+ Revision: 747071
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 luigiwalser <luigiwalser> 1.710-1.mga5
+ Revision: 733679
- 1.710
- iptables script calls are now fixed upstream

* Sat Sep 27 2014 tv <tv> 1.700-6.mga5
+ Revision: 727880
- add missing excludes

* Sat Sep 27 2014 tv <tv> 1.700-5.mga5
+ Revision: 726312
- add more exclude

* Sat Sep 27 2014 tv <tv> 1.700-4.mga5
+ Revision: 725893
- add excludes

* Tue Sep 23 2014 tv <tv> 1.700-3.mga5
+ Revision: 722234
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 1.700-2.mga5
+ Revision: 690287
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Aug 12 2014 luigiwalser <luigiwalser> 1.700-1.mga5
+ Revision: 662095
- 1.700

* Wed May 21 2014 luigiwalser <luigiwalser> 1.690-1.mga5
+ Revision: 624746
- 1.690

* Thu Mar 13 2014 luigiwalser <luigiwalser> 1.680-1.mga5
+ Revision: 603120
- 1.680

* Tue Jan 14 2014 luigiwalser <luigiwalser> 1.670-1.mga5
+ Revision: 566604
- 1.670
- rediff patch 45

* Mon Oct 21 2013 umeabot <umeabot> 1.660-2.mga4
+ Revision: 539100
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 luigiwalser <luigiwalser> 1.660-1.mga4
+ Revision: 491403
- 1.660

* Sun Aug 18 2013 luigiwalser <luigiwalser> 1.650-1.mga4
+ Revision: 467542
- 1.650

* Tue Aug 13 2013 luigiwalser <luigiwalser> 1.640-1.mga4
+ Revision: 466193
- 1.640
- remove syslog patch (fixed upstream)
- disable webmin update notifications (mga#10713)
- fix openssl.cnf path in openvpn module config (mga#10713)

* Wed May 15 2013 luigiwalser <luigiwalser> 1.630-1.mga4
+ Revision: 413269
- remove patches 26 and 33 and perl-ldap suggests as webmin can install packages
- 1.630
- remove upstreamed patches 10, 17, 41, 42, and 43 and source 16
- fix syslog config again
- cachemgr path is fixed upstream
- remove redundant config changes

* Mon Apr 22 2013 luigiwalser <luigiwalser> 1.620-3.mga3
+ Revision: 410939
- require perl-Authen-Libwrap so it is not pulled from cpan
- fix syslog config
- fix OS version detection
- require perl-IO-Tty and suggest perl-ldap so they are not pulled from cpan

* Sun Mar 24 2013 colin <colin> 1.620-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Thu Feb 07 2013 luigiwalser <luigiwalser> 1.620-1.mga3
+ Revision: 395123
- remove macos files (breaks build in find command in find-debuginfo.sh)
- 1.620
+ fwang <fwang>
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 luigiwalser <luigiwalser> 1.610-6.mga3
+ Revision: 332609
- use _post_service so that systemd sees the service
- use systemctl with openvpn.target to stop/start openvpn service
- attempt to fix openvpn config

* Fri Dec 14 2012 luigiwalser <luigiwalser> 1.610-5.mga3
+ Revision: 330945
- fix more module configs
- fix tmpfiles config
- remove pptp-server module

* Fri Dec 14 2012 luigiwalser <luigiwalser> 1.610-4.mga3
+ Revision: 330611
- fix syslog module configuration
- add working sshd and grub module configs
- remove useless modules
- adapt to systemd (use service command instead of init.d scripts)
- more urpmi fixes from Derek Jennings

* Thu Dec 13 2012 luigiwalser <luigiwalser> 1.610-3.mga3
+ Revision: 330549
- use systemd-tmpfiles to create /var/run/webmin
- fix service names for nfs, mysqld, and pptp

* Thu Dec 13 2012 luigiwalser <luigiwalser> 1.610-2.mga3
+ Revision: 330411
- more fixes for adapting to mageia (urpmi usage, desktop file, module configs)

* Wed Dec 12 2012 luigiwalser <luigiwalser> 1.610-1.mga3
+ Revision: 329967
- 1.610 (fixes several security issues)
- rediff patches 1 and 33

* Sun May 15 2011 pterjan <pterjan> 1.550-2.mga1
+ Revision: 99040
- Rebuild for fixed find-requires

* Tue May 03 2011 ennael <ennael> 1.550-1.mga1
+ Revision: 94392
- clean spec file
- remove uneeded patches (still some work to be done)
- replace mandriva icons
- remove mandriva theme
- remove very old webmin modules
- imported package webmin


* Fri Dec 03 2010 Lonyai Gergely <aleph@mandriva.org> 1.530-1mdv2011.0
+ Revision: 606482
- 1.530

* Sat Sep 25 2010 Lonyai Gergely <aleph@mandriva.org> 1.520-1mdv2011.0
+ Revision: 581003
- 1.520
- #59961 - webmin fail on detect correct MES version

* Sat Apr 17 2010 Lonyai Gergely <aleph@mandriva.org> 1.510-4mdv2010.1
+ Revision: 535785
- Uncomment webmin-1.220-remove-mandrakestuff-from-init.patch
  Add webmin-1.510-fix-status-in-init.patch (send upstream)
  	Resolved a bug anno jura: #14411 - Webmin unable to display " Started now? " status & widgets

* Fri Apr 16 2010 Lonyai Gergely <aleph@mandriva.org> 1.510-3mdv2010.1
+ Revision: 535667
- Test/commented: webmin-1.220-remove-mandrakestuff-from-init.patch

* Tue Apr 06 2010 Lonyai Gergely <aleph@mandriva.org> 1.510-2mdv2010.1
+ Revision: 532114
- Change the theme to default in Cooker

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 1.510-1mdv2010.1
+ Revision: 531319
- New version 1.5.000
- drop merged patches

* Thu Jan 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.500-3mdv2010.1
+ Revision: 497687
- don't barf on uninstall if not running
- fix a stupid typo...

* Thu Jan 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.500-2mdv2010.1
+ Revision: 497580
- make it backportable to at least 2008.0

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 1.500-1mdv2010.1
+ Revision: 475292
- new version 1.500

* Thu Oct 15 2009 Lonyai Gergely <aleph@mandriva.org> 1.490-5mdv2010.0
+ Revision: 457661
- fix #53081 - Installation of WebMin empty tmp folder and change its permission. (step 4)
  fix #53249 - Sarg configuration module of webmin does no work
  fix #50233 - Invalid passwords generated when created or modified with webmin.
  fix #50635 - bandwidth monitoring doesn't work

* Thu Oct 08 2009 Lonyai Gergely <aleph@mandriva.org> 1.490-4mdv2010.0
+ Revision: 456120
- fix #53081 - Installation of WebMin empty tmp folder and change its permission. (3)
  fix #53077 - Webmin fail to detect Mandriva 2010.0 and use wrong folder (3)

* Tue Oct 06 2009 Lonyai Gergely <aleph@mandriva.org> 1.490-3mdv2010.0
+ Revision: 454845
- fix #54330 - Webmin login fails, Secure Connection Failed
  fix #54195 - Webmin create miniserv.pem in a wrong place
  fix #53081 - Installation of WebMin empty tmp folder and change its permission. (2)
  fix #53077 - Webmin fail to detect Mandriva 2010.0 and use wrong folder (2)

* Wed Sep 30 2009 Lonyai Gergely <aleph@mandriva.org> 1.490-1mdv2010.0
+ Revision: 451502
- fix #53879 (initscript of Webmin is not LSB-compliant)
- fix #53077 (Webmin fail to detect Mandriva 2010.0)
- fix #41347 (If /etc/cron.allow exists, root must be found in it if you want to add/modify root's cron jobs with Webmin)
- update to 1.490
  fix #15369 (miniserv.log is not rotated on a regular basis)

* Thu Apr 09 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.441-2mdv2009.1
+ Revision: 365481
- Updated webmin to use MD5 for user passwords by default.
  Rediffed patches.

* Fri Oct 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.441-1mdv2009.1
+ Revision: 298897
- 1.441

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.420-2mdv2009.0
+ Revision: 265776
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - %%update_menus must be in %%post, not %%preun (!)

* Wed May 28 2008 Funda Wang <fwang@mandriva.org> 1.420-1mdv2009.0
+ Revision: 212495
- New version 1.420

* Mon Mar 31 2008 Tiago Salem <salem@mandriva.com.br> 1.410-1mdv2008.1
+ Revision: 191222
- Update to 1.410 version. Requested in #39117

* Thu Mar 20 2008 Tiago Salem <salem@mandriva.com.br> 1.400-1mdv2008.1
+ Revision: 189183
- Update to 1.400 version. Requested in #39117

* Wed Mar 19 2008 Tiago Salem <salem@mandriva.com.br> 1.390-5mdv2008.1
+ Revision: 188949
- add fix for broken login (#27438)
- bump release

* Fri Feb 15 2008 Thierry Vignaud <tv@mandriva.org> 1.390-4mdv2008.1
+ Revision: 168797
- fix arch-independent-package-contains-binary-or-object & manpage-not-bzipped
- remove now uneeded hack that disabled auto-requires

* Thu Jan 31 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.390-3mdv2008.1
+ Revision: 160869
- 3mdv
- Remove useless command at %%postun
- Do not remove all configs on upgrades. It's plain wrong!
- Do not handle /etc/issue if it's not there: it's not our reponsability.
- Do not replace setup.sh logs, rather append them with proper delims.
- Cleanup

* Thu Jan 31 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.390-2mdv2008.1
+ Revision: 160858
- Updated i18n stuff.

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Sun Dec 23 2007 Funda Wang <fwang@mandriva.org> 1.390-1mdv2008.1
+ Revision: 137323
- New version 1.390

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.380-1mdv2008.1
+ Revision: 107023
- 1.380
- rediffed P34

* Wed Oct 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.370-1mdv2008.1
+ Revision: 96834
- 1.370
- rediffed P0
- drop the quotes in the Exec= line (blino)

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 1.360-2mdv2008.0
+ Revision: 69707
- fileutils, sh-utils & textutils have been obsoleted by coreutils a long time ago

* Tue Aug 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1.360-1mdv2008.0
+ Revision: 59766
- 1.360
- don't use older plugins, nuke S20,S21

* Sun Jul 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.350-3mdv2008.0
+ Revision: 49775
- added P36 by Loic Vaillant to handle icons better

* Tue Jun 12 2007 Oden Eriksson <oeriksson@mandriva.com> 1.350-2mdv2008.0
+ Revision: 38194
- remove the borked mandriva/config.cgi file
- remove the desktop-file-utils dep
- remove the "/usr/share/webmin/mandriva/config.cgi" because it is broken and not needed

* Mon Jun 11 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.350-1mdv2008.0
+ Revision: 38045
- New upstream: 1.350
- Updated i18n packs.
- Updated support-mandriva patch due to new upstream.
- Merged back mandriva-theme and mandriva-theme-images tarballs.
- Patched mandriva-theme so that it falls back to .gif icons if the .png
  version is missing.

* Tue May 29 2007 Andreas Hasenack <andreas@mandriva.com> 1.320-2mdv2008.0
+ Revision: 32648
- fixed pam config
- the initscript is not a configuration file


* Fri Feb 09 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.320-1mdv2007.0
+ Revision: 118584
- New upstream: 1.320
- Synced i18n.

* Mon Jan 22 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.310-1mdv2007.1
+ Revision: 111994
- Updated i18n stuff.

* Tue Jan 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.310-0mdv2007.1
+ Revision: 109584
- 1.310
- rediffed patches; P32,P34
- dropped fix for CVE-2006-4542, applied in this version
- openvpn-2.0
- make it backportable
- misc spec file fixes

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Adds missing Requires to perl-ldap and perl-IO-Socket-SSL.

  + Anssi Hannula <anssi@mandriva.org>
    - fix menu entry

  + Andreas Hasenack <andreas@mandriva.com>
    - fix permissions on webmin pam configuration file

* Mon Nov 13 2006 Andreas Hasenack <andreas@mandriva.com> 1.290-5mdv2007.0
+ Revision: 83724
- bump to fix synch in mirror

* Thu Nov 09 2006 Andreas Hasenack <andreas@mandriva.com> 1.290-4mdv2007.1
+ Revision: 80067
- added security patch from 2007 update (CVE-2006-4542)
- added some missing icons to the mandriva theme
- use correct name for config files (s/mandrake/mandriva/ mess)
  (#26668)
- bunzip patches and some source files
- fix fallback release number
- Import webmin

* Wed Aug 30 2006 Oden Eriksson <oeriksson@mandriva.com> 1.290-3
- fix xdg menu stuff

* Sat Jul 15 2006 Emmanuel Andry <eandry@mandriva.org> 1.290-2mdv2007.0
- updated 2 modules

* Sun Jul 09 2006 Emmanuel Andry <eandry@mandriva.org> 1.290-1mdv2007.0
- 1.290
- %%mkrel
- updated other modules content
- replaced freeswan (not working with 2.6 kernel) with openswan
- drop patches 9, 22, 100
- rediff patch 34 to get rid of mandrake

* Sun Sep 18 2005 Andreas Hasenack <andreas@mandriva.com> 1.220-9mdk
- from cavassin@mandriva.com: updated i18n and patch files to fix pt_BR
  problem

* Sat Sep 17 2005 David Baudens <baudens@mandrakesoft.com> 1.220-8mdk
- Fix icons

* Wed Sep 07 2005 Daouda LO <daouda@mandrakesoft.com> 1.220-7mdk
- pt_Br updates (Thanks to Cleber and Alexandre from Mandriva Brazil)

* Sat Aug 27 2005 Daouda LO <daouda@mandrakesoft.com> 1.220-6mdk
- more icons (ln, david)

* Thu Aug 25 2005 Daouda LO <daouda@mandrakesoft.com> 1.220-5mdk
- fix typo in usermin index.cgi #17809

* Fri Aug 19 2005 Daouda LO <daouda@mandriva.com> 1.220-4mdk
- added fr translation (Thanx to Vincent and Marcelo)

* Sun Aug 07 2005 Daouda LO <daouda@mandrakesoft.com> 1.220-3mdk
- Integrated awesome eye-candy theme for Mandriva (thanx to Marcelo)
- handle correctly files and directories with special chars in 
  name (-print0).

* Thu Aug 04 2005 Daouda LO <daouda@mandrakesoft.com> 1.220-2mdk
- pt_BR i18n merge (Marcelo)
- updates for mount, mysql, postgresql modules

* Fri Jul 22 2005 Daouda LO <daouda@mandrakesoft.com> 1.220-1mdk
- 1.220
- fix samba default config file location 
- added webmin module usermonitor which can display all connections
  based on Telnet / SSH and Samba to your System, kill them or send 
  a message to their owners
- Support for openldap 2 
- Refreshed updates list and urls location (dead links)
- Aware of new Mandriva Linux name change and new Corporate products.
- Regenerate patches #9, #17, #22, #34
- Patch #4 (ssl support) merged upstream

* Wed Feb 23 2005 Daouda LO <daouda@mandrakesoft.com> 1.180-1mdk
- new version 1.180
- according to rpmlint summary should not end with a dot :)

* Fri Jan 21 2005 Guillaume Cottenceau <gc@mandrakesoft.com> 1.170-1mdk
- new version
- sshd patch merged upstream
- can security patch merged upstream

* Sat Oct 09 2004 Warly <warly@mandrakesoft.com> 1.150-3mdk
- add security patch can-2004-0559

* Sat Sep 11 2004 David Baudens <baudens@mandrakesoft.com> 1.150-2mdk
- Add menu entry

* Fri Jun 25 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.150-1mdk
- new version

* Sat Mar 13 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.130-1mdk
- new version
- updates

* Fri Feb 27 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.121-4mdk
- Patch32: don't allow installing usermin RPM package from webmin.com
  it won't work anyway (first seen in #8459)

* Tue Feb 24 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.121-3mdk
- allow Mandrake-10.0 version (#8297)

